Revenue by utility

Retrieves revenue data for a designated month or months aggregated by utility

Body Params

The request body containing aggregation detail.

string
required

The start of the period for the report in ISO-8601 formatted year and month (YYYY-MM).

string
required

The end of the period for the report in ISO 8601 format (YYYY-MM), which is inclusive.

programs
array of objects

The list of the program identifiers that report is associated with. If not specified, defaults to all programs.

programs
filters
array of strings

Optional filters to apply to the search query. Depending on the aggregation type, the filters are applied to the following field:

  • METER: meter ID,
  • MARKET_GROUP: market group ID,
  • CUSTOMER: customer name. Not supported for other aggregation types. The search is case-insensitive and will match those results that start with the filter value. Passing multiple filters will be applied as OR-condition. For example, passing ["SCEC", "PDRP"] will match all records that start with either SCEC or PDRP.
filters
string

If there are more records to fetch, this token will be populated as next_page_token in the response. Use it to fetch the next page. When requesting a CSV format via Accept header with value text/csv, this parameter is not required.

int32
required
Defaults to 100

Specifies the number of results to return. Defaults to 100 if not set, with a maximum limit of 1000 per page. When requesting a CSV format via Accept header with value 'text/csv', this parameter is not required.

sort
array of objects

Specifies the sorting criteria for the results. It is a list of fields by which the results should be sorted. This parameter is optional. Only supported for meter, customer_group and market_group types.

sort
string
length ≥ 2

The report version. If not specified the latest version is returned.

Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json